.. _results models:

====================
searx.results.models
====================

Main Results
------------

.. autoclass:: searx.results.models.MainResult
  :members:

.. autoclass:: searx.results.models.UrlResult
  :members:

.. autoclass:: searx.results.models.KeyValueResult
  :members:

Infoboxes
---------

.. autoclass:: searx.results.models.Infobox
  :members:

.. autoclass:: searx.results.models.InfoboxAttribute
  :members:

.. autoclass:: searx.results.models.InfoboxImage
  :members:

.. autoclass:: searx.results.models.InfoboxUrl
  :members:

.. autoclass:: searx.results.models.InfoboxRelatedTopic
  :members:

Others
------

.. autoclass:: searx.results.models.Answer
  :members:

.. autoclass:: searx.results.models.Correction
  :members:

.. autoclass:: searx.results.models.Suggestion
  :members:
